name: app_hit_a_wod
description: A new Flutter project.

# The following defines the version and build number for your application.
# A version number is three numbers separated by dots, like 1.2.43
# followed by an optional build number separated by a +.
# Both the version and the builder number may be overridden in flutter
# build by specifying --build-name and --build-number, respectively.
# In Android, build-name is used as versionName while build-number used as versionCode.
# Read more about Android versioning at https://developer.android.com/studio/publish/versioning
# In iOS, build-name is used as CFBundleShortVersionString while build-number used as CFBundleVersion.
# Read more about iOS versioning at
# https://developer.apple.com/library/archive/documentation/General/Reference/InfoPlistKeyReference/Articles/CoreFoundationKeys.html
version: 1.0.0+1

environment:
  sdk: ">=2.1.0 <3.0.0"

dependencies:
  flutter:
    sdk: flutter
  flutter_localizations:
    sdk: flutter
  dio: 3.0.9
  json_annotation: 3.0.1
  flutter_neumorphic: ^1.0.7
  flutter_snake_navigationbar: ^0.4.0+1
  rxdart: ^0.24.0
  flutter_secure_storage: ^3.3.3
  provider: ^4.0.5+1
  local_auth: 0.6.2+2
  skeleton_text:
  cached_network_image: ^2.2.0+1
  calendar_strip: ^1.0.6
  flutter_calendar: ^0.0.1
  fl_chart: ^0.9.4
  image_picker: ^0.6.6+1
  intl: ^0.16.1
  url_launcher: ^5.4.5
  stripe_sdk: ^2.8.1  
  flutter_datetime_picker: ^1.3.8
  sticky_headers: "^0.1.8"
  video_player: ^0.5.1
  youtube_player_flutter: ^6.1.1
  onesignal_flutter: ^2.0.0
  flutter_html: ^0.8.2
  
  # The following adds the Cupertino Icons font to your application.
  # Use with the CupertinoIcons class for iOS style icons.
  cupertino_icons: ^0.1.2

dev_dependencies:
  flutter_launcher_icons: "^0.7.0"
  flutter_test:
    sdk: flutter
  build_runner: 1.9.0
  json_serializable: 3.3.0

flutter_icons:    
  android: true
  ios: true
  image_path_ios: "assets/icon/logo_adaptative.png"
  image_path_android: "assets/icon/logo_adaptative.png"

# For information on the generic Dart part of this file, see the
# following page: https://dart.dev/tools/pub/pubspec

# The following section is specific to Flutter.
flutter:

  # The following line ensures that the Material Icons font is
  # included with your application, so that you can use the icons in
  # the material Icons class.
  uses-material-design: true

  # To add assets to your application, add an assets section, like this:
  assets:
    - assets/
    - assets/fonts/
    - assets/img/
    - assets/credit-cards/
    - assets/icon/logo.png
    - assets/icon/nom.png
    - assets/icon/logo_nom.png
    - assets/icon/bisual.png
    - assets/icon/ic_launcher.png
    - assets/icon/logo_adaptative.png

  # An image asset can refer to one or more resolution-specific "variants", see
  # https://flutter.dev/assets-and-images/#resolution-aware.

  # For details regarding adding assets from package dependencies, see
  # https://flutter.dev/assets-and-images/#from-packages

  # To add custom fonts to your application, add a fonts section here,
  # in this "flutter" section. Each entry in this list should have a
  # "family" key with the font family name, and a "fonts" key with a
  # list giving the asset and other descriptors for the font. For
  # example:
  fonts:
    - family:  Basier
      fonts:
      - asset: assets/fonts/BasierCircle-Bold.ttf
      - asset: assets/fonts/BasierCircle-BoldItalic.ttf
      - asset: assets/fonts/BasierCircle-Italic.ttf
      - asset: assets/fonts/BasierCircle-Medium.ttf
      - asset: assets/fonts/BasierCircle-MediumItalic.ttf
      - asset: assets/fonts/BasierCircle-Regular.ttf
      - asset: assets/fonts/BasierCircle-SemiBold.ttf
      - asset: assets/fonts/BasierCircle-SemiBoldItalic.ttf
      - asset: assets/fonts/BasierSquare-Bold.ttf
      - asset: assets/fonts/BasierSquare-BoldItalic.ttf
      - asset: assets/fonts/BasierSquare-Italic.ttf
      - asset: assets/fonts/BasierSquare-Medium.ttf
      - asset: assets/fonts/BasierSquare-MediumItalic.ttf
      - asset: assets/fonts/BasierSquare-Regular.ttf
      - asset: assets/fonts/BasierSquare-SemiBold.ttf
      - asset: assets/fonts/BasierSquare-SemiBoldItalic.ttf
    - family:  MyFlutterApp
      fonts:
      - asset: assets/MyFlutterApp.ttf
  #
  # For details regarding fonts from package dependencies,
  # see https://flutter.dev/custom-fonts/#from-packages
